Edit project template machine translate settings
curl --request PUT \
--url https://cloud.memsource.com/web/api2/v1/projectTemplates/{projectTemplateUid}/mtSettings \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://cloud.memsource.com/web/api2/v1/projectTemplates/{projectTemplateUid}/mtSettings"
payload = {}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://cloud.memsource.com/web/api2/v1/projectTemplates/{projectTemplateUid}/mtSettings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mtSettingsPerLangList": [
{
"targetLang": "<string>",
"machineTranslateSettings": {
"args": {},
"baseName": "<string>",
"category": "<string>",
"default_": true,
"enabled": true,
"id": "<string>",
"includeTags": true,
"langs": {
"id": "<string>",
"sourceLang": "<string>",
"targetLangs": [
"<string>"
]
},
"mtQualityEstimation": true,
"name": "<string>",
"type": "<string>",
"uid": "<string>"
}
}
]
}Project Template
Edit project template machine translate settings
This will erase all mtSettings per language for project template. To remove all machine translate settings from template call without a machineTranslateSettings parameter.
PUT
/
api2
/
v1
/
projectTemplates
/
{projectTemplateUid}
/
mtSettings
Edit project template machine translate settings
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Project template UID
Body
application/json
Machine translate settings to apply
Show child attributes
Show child attributes
Response
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I